netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
scrit Struct Reference

## Data Fields
uint32_t | rbitmap
uint16_t | fbitmap
uint16_t | dbitmap
uint16_t | attr
time_t | cdate
time_t | mdate
time_t | bdate
uint32_t | pdid
uint16_t | offcnt
struct finderinfo | finfo
char | lname [64]
char | utf8name [514]

## Detailed Description

This is our search-criteria structure.

## Field Documentation

## ◆ attr

uint16_t scrit::attr

File attributes

## ◆ bdate

time_t scrit::bdate

Last backup date

## ◆ cdate

time_t scrit::cdate

Creation date

## ◆ dbitmap

uint16_t scrit::dbitmap

directory bitmap - which values should we return ?

## ◆ fbitmap

uint16_t scrit::fbitmap

file bitmap - which values should we return ?

## ◆ finfo

struct finderinfo scrit::finfo

Finder info

## ◆ lname

char scrit::lname[64]

Long name

## ◆ mdate

time_t scrit::mdate

Last modification date

## ◆ offcnt

uint16_t scrit::offcnt

Offspring count

## ◆ pdid

uint32_t scrit::pdid

Parent DID

## ◆ rbitmap

uint32_t scrit::rbitmap

Request bitmap - which values should we check ?

## ◆ utf8name

char scrit::utf8name[514]

UTF8 or UCS2 name for convert_charset dest_len parameter +2

The documentation for this struct was generated from the following file:

- catsearch.c